HackerGuardian and CodeGuard
Endpoint: !AutoApplyOrder
https://secure.trust-provider.com/products/!AutoApplyOrder
Use the POST method for this endpoint.
Submit parameters in the x-www-form-urlencoded format.
Request parameters
The following table displays the parameters available for ordering HackerGuardian and CodeGuard using AutoApplyOrder.
| Parameter | Requirement | Type | Max.Length | Description | ||
|---|---|---|---|---|---|---|
|
required |
string |
64 chars |
Your account username. This value is case sensitive. |
||
|
required |
string |
128 chars |
Your account password. This value is case sensitive. |
||
|
required |
string |
64 chars |
Specifies a comma-separated string of integers for a product code. There must be exactly one of the following integers specified:
|
||
|
required |
integer |
The validity period, in days.
|
|||
|
required |
string |
50 chars |
Specifies the applicant representative’s login name. |
||
|
optional |
char |
1 char |
Specifies who will verify the applicant representative’s contact details before the callback is performed. The allowed values are:
|
||
|
optional |
integer |
Specifies the number of additional IP addresses for the HackerGuardian package. The allowed values for HackerGuardian additional IP addresses pack are:
|
|||
|
conditional |
string |
50 chars |
Specifies the organization name. If an organization name is specified here and This parameter is not required if there is an organization name in the CSR.
Otherwise, |
||
|
optional |
string |
128 chars |
The street address where the organization operates. |
||
|
optional |
string |
128 chars |
The second part of the company’s street address (if necessary). If the second part of the street address is specified here and in the CSR, |
||
|
optional |
string |
128 chars |
The third part of the company’s street address (if necessary). If the third part of the street address is specified here and in the CSR, |
||
|
required |
string |
128 chars |
The city in which the organization operates. |
||
|
optional |
string |
2 chars |
An ISO 3166 two-character country code. |
||
|
required |
string |
50 chars |
The applicant representative’s name which is used for the organizational callback by Sectigo. |
||
|
required |
string |
50 chars |
The applicant representative’s last name which is used for the organizational callback by Sectigo. |
||
|
required |
string |
128 chars |
The applicant representative’s email address which is used for the organizational callback by Sectigo. Used for critical customer communications:
|
||
|
optional |
char |
2 chars |
The applicant representative’s country code. It must be an ISO 3166 two-character country code. |
||
|
optional |
char |
1 char |
Specifies the response format. The allowed values are:
If omitted, the value defaults to |
||
|
optional |
char |
1 char |
Specifies whether this is a test order. The allowed values are:
If omitted, the value defaults to |
||
|
optional |
string |
20 chars |
An alphanumeric value used to ensure the Request Token is unique for The request tokens are as defined in the CA/B Forum Baseline requirements (version 1.4.1 or later) and used in the manner described in Sectigo’s Domain Control Validation. |
||
|
required |
string |
64 chars |
(CodeGuard only) The domain name product is ordered for. |
||
|
optional |
integer |
The order number of the previous license. |
Sample request for HackerGuardian
curl --location 'https://secure.trust-provider.com/products/!AutoApplyOrder' \
--header 'Content-Type: application/x-www-form-urlencoded' \
--data-urlencode 'loginName=login_name' \
--data-urlencode 'loginPassword=login_password' \
--data-urlencode 'days=365' \
--data-urlencode 'product=346,329' \
--data-urlencode 'responseFormat=1' \
--data-urlencode 'organizationName=John Doe Company 2280295' \
--data-urlencode '[email protected]' \
--data-urlencode 'appRepLoginName=app_login_name' \
--data-urlencode 'streetAddress1=Elm Street 12' \
--data-urlencode 'localityName=Newtown' \
--data-urlencode 'appRepForename=John' \
--data-urlencode 'appRepSurname=Joe'
--data-urlencode 'IP%20Addresses=10'
Response
The request is successful when the server returns a response with the error code 0.
Any error code less than 0 indicates an error condition, and the error message provides additional details.
Error responses are returned in application/x-www-form-urlencoded format.
Response format 0 (Plain text)
The MIME type will be text/plain for responseFormat=0 (by default).
The first line of the response contains a status code.
Whether 0 or 1 is returned for successful orders depends on how your account is configured with Sectigo.
Usually, you will take payment from your customer and Sectigo will debit your account funds when you place the order.
However, in special circumstances it can be arranged for Sectigo to take payment from your customer on your behalf.
|
If the status code is less than 0, the second line of the response contains an error message, describing the error.
If the status code is greater than or equal to 0, the response can contain the following lines which provide:
| Line | Possible Value | Description |
|---|---|---|
Line 1 |
The status of the order. For more information, see Error codes. |
The status code. |
Line 2 |
An integer. |
The second line contains an order number. |
Line 3 |
|
The amount in your account’s native currency, without a currency symbol. |
Line 4 |
The expected delivery time. |
This value can be ignored and has been deprecated for Document Signing. |
Line 5, 6 or 7 (if applicable) |
A unique alphanumeric value up to 20 characters long. |
The unique value.
Returned if the |
Response format 1 (URL-encoded)
Most of Sectigo’s API endpoints use URL-encoded responses.
AutoApplyOrder can return responses in the same format by specifying responseFormat=1 in the request.
The MIME type will be application/x-www-form-urlencoded for responseFormat=1.
The following table displays the various parameters that can appear for responseFormat=1.
| Parameter | Description |
|---|---|
|
A numeric code that identifies the type of error and is always present in the response. For more information, see Error codes. |
|
A description of the error.
|
|
An integer.
This parameter is only present when |
|
The amount in your account’s native currency, without a currency symbol.
This parameter is only present when |
|
This value can be ignored and has been deprecated for HackerGuardian.
This parameter is only present when |
|
A unique alphanumeric value up to 20 characters long.
Only returned if the |
CodeGuard license renewal
The users can renew their license up to 30 days before the current license expires.
The value of the product and days parameters must be the same as in the previous order.
|
Sample request for CodeGuard license renewal
The following is a sample request for renewing a CodeGuard license using AutoApplyOrder:
curl --location 'https://secure.trust-provider.com/products/!AutoApplyOrder' \
--header 'Content-Type: application/x-www-form-urlencoded' \
--data-urlencode 'product=700' \
--data-urlencode 'days=30' \
--data-urlencode 'isCustomerValidated=N' \
--data-urlencode 'showCertificateID=Y' \
--data-urlencode 'loginName=login_name' \
--data-urlencode 'loginPassword=login_password' \
--data-urlencode '[email protected]' \
--data-urlencode 'appRepTitle=Social research officer' \
--data-urlencode 'appRepForename=Mark' \
--data-urlencode 'appRepSurname=Dean' \
--data-urlencode 'responseFormat=0' \
--data-urlencode 'previousOrderNumber=9550417' \
--data-urlencode 'domainName=test.domain'
Error codes
| Error Code | Error Message | Description |
|---|---|---|
|
|
The request must use HTTPS protocol. |
|
|
The provided argument is not recognized. |
|
|
A required argument is missing from the request. |
|
|
The argument value does not meet validation requirements. |
|
|
The specified country code is not valid according to the ISO-3166 standard. |
|
|
An unknown error occurred. |
|
|
The account does not have sufficient credit. |
|
|
The user does not have permission to access the |
|
|
The request method should be POST. |
|
|
Trial licenses cannot be renewed. |
|
|
The specified domain name has already been validated. |
|
|
The duration specified for the main HackerGuardian license or additional IP address pack is incorrect. |
|
|
The order can include only one main license. |
|
|
Your current license cannot be renewed more than 30 days before its expiration date. |
|
|
The specified company name is already registered in the Qualys service. |
|
|
Additional IP address packs cannot be purchased for trial licenses. |
|
|
Additional IP address packs can only be purchased for existing HackerGuardian accounts. |
|
|
To renew access to the PCI portal, you must purchase enough IP addresses to cover those already set up. |
|
|
The specified email address is already registered in the CodeGuard service. |
|
|
The specified partner is not recognized by the CodeGuard service. |
|
|
The specified PlanID for the product could not be found. |
|
|
The CodeGuard partner account is not activated. |
|
|
The order can include only one CodeGuard license. |
|
|
The specified parameter can only be used with license products. |
|
|
The CodeGuard synchronization service is disabled. |
|
|
The provided email address is not valid. |
|
|
The previous order must include a license of the same type. |
|
|
Trial licenses cannot be renewed. |
|
|
The order can include only one Web Package product. |
|
|
The specified argument is not applicable for the current order. |
|
|
The order must include the specified item. |
|
|
The user does not have permission for the specified context. |
|
|
The user does not have permission for the specified context. |
|
|
The Tier1 credit/debit processing encountered an internal error. |
|
|
The Tier1 credit/debit processing encountered an internal error. |
|
|
The Tier1 credit/debit processing encountered an internal error. |
|
|
The specified |
|
|
No price information available for the specified item. |
|
|
The provided item cost is incorrect. |
|
|
The provided item cost is incorrect. |
|
|
The specified product identifier is incorrect. |
|
|
An internal error occurred. |
|
|
Semantic error. TAX is no longer a valid value. Use TIN instead. |
|
|
Semantic error. The format of the provided identifier is incorrect. |
|
|
Semantic error. The country code in the provided identifier is incorrect. |
|
|
An error occurred during key attestation verification for the specified context. |
|
|
The user does not have sufficient privileges to order the specified product type. |
|
|
The specified parameter is not valid for this product type. |
|
|
The CSR contains domain names not listed in the |